Skip to main content
POST
Suggest representment section text
  • Returns 403 when representment drafting is not enabled.
  • Returns 404 when the dispute or the section is not found.
  • Returns 422 when the section is not a text section, has no title or a timeline title, has no linked files, or its linked files are over the size limit.

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Headers

x-idempotency-key
string<uuid>
required

Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.

Path Parameters

disputeId
string<uuid>
required

Identifier of the resource in Payrails.

sectionId
string<uuid>
required

Identifier of the resource in Payrails.

Response

Section text suggested. Nothing is stored; save the sections to keep it.

textSectionContent
string
required

The suggested section text, with evidence citation tags.

citations
object[]
required

Citations the suggested text refers to.